Bug 208991 - mail/opensmtpd fails checking for openssl version
Summary: mail/opensmtpd fails checking for openssl version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Ashish SHUKLA
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-23 10:26 UTC by Rodrigo Osorio
Modified: 2016-05-30 00:48 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rodrigo Osorio freebsd_committer 2016-04-23 10:26:59 UTC
The code who checks the openssl version is bogus and uses a wrong binary map to check the  version.


A review is available to patch this issue https://reviews.freebsd.org/D6076
Comment 1 Ashish SHUKLA freebsd_committer 2016-05-02 15:22:38 UTC
Howdy,

The diff looks good to me, although I only get to do build test, and not functionally test the use-case it is trying to solve.

Before we add it, could you please submit it upstream[1] as well, as it's something that should be sent to upstream ?

[1] https://github.com/OpenSMTPD/OpenSMTPD

Thanks!
Comment 2 Rodrigo Osorio freebsd_committer 2016-05-02 21:28:05 UTC
(In reply to Ashish SHUKLA from comment #1)
Ok, I just push my patch :)
Comment 3 Rodrigo Osorio freebsd_committer 2016-05-22 15:02:28 UTC
Hi,

Patch was merged today : https://github.com/OpenSMTPD/OpenSMTPD/pull/688#issuecomment-220827731

AFAIK a new version is coming.
Comment 4 commit-hook freebsd_committer 2016-05-26 12:56:58 UTC
A commit references this bug:

Author: brnrd
Date: Thu May 26 12:56:35 UTC 2016
New revision: 415890
URL: https://svnweb.freebsd.org/changeset/ports/415890

Log:
  mail/opensmtpd: Fix SSL and CA problems

    - Change with-ssl to with-ssllib
    - Change with-ca-file to with-path-CAfile
    - Remove broken for libasr-devel

  PR:		208991
  Submitted by:	fluffy
  Approved by:	maintainer (implicit)

Changes:
  head/mail/opensmtpd/Makefile
Comment 5 commit-hook freebsd_committer 2016-05-30 00:17:56 UTC
A commit references this bug:

Author: ashish
Date: Mon May 30 00:17:51 UTC 2016
New revision: 416133
URL: https://svnweb.freebsd.org/changeset/ports/416133

Log:
  - Update to 201605221711[1]
  - Add option for table db (aliases)[1]
  - Add CPE information[1]

  PR:		209770[1] 208991
  Submitted by:	fluffy[1]

Changes:
  head/mail/opensmtpd-devel/Makefile
  head/mail/opensmtpd-devel/distinfo
  head/mail/opensmtpd-devel/files/patch-mk_smtpd_Makefile.in
  head/mail/opensmtpd-devel/files/patch-usernamelen
  head/mail/opensmtpd-devel/pkg-plist
Comment 6 Ashish SHUKLA freebsd_committer 2016-05-30 00:48:33 UTC
The diff is accepted by upstream, and they are planning to test it through upcoming snapshots before committing to stable version[1].

mail/opensmtpd-devel update committed in ports r416133 has the submitted changes.

Closing this PR

Thanks!